Bug 797037 - [abrt] kernel: BUG: unable to handle kernel NULL pointer dereference. dentry_lru_prune()
[abrt] kernel: BUG: unable to handle kernel NULL pointer dereference. dentry_...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:60dc1cb0490d4973690da2aff8f...
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-02-24 00:55 EST by gene smith
Modified: 2012-05-07 16:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 16:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gene smith 2012-02-24 00:55:57 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.7-1.fc16.x86_64 root=UUID=22b2a6c0-aed1-4c25-9ffd-a1d8381f79e0 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 pcie_aspm=force acpi_backlight=vendor vga=0x345
comment:        Laptop was now able to hibernate with new kernel. Previously could sleep but not hibernate (save to disk). However, seems to crash on shutdown and cpu fan started running hard and system was locked
kernel:         3.2.7-1.fc16.x86_64
reason:         BUG: unable to handle kernel NULL pointer dereference at           (null)
time:           Fri 24 Feb 2012 12:48:35 AM EST

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at           (null)
:IP: [<ffffffff812c9f49>] __list_del_entry+0x29/0xd0
:PGD 24defe067 PUD 24deff067 PMD 0 
:Oops: 0000 [#1] SMP 
:CPU 0 
:Modules linked in: ppp_async crc_ccitt ppp_generic slhc tcp_lp fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 lockd 8021q cxgb3i libcxgbi fcoe libfcoe libfc scsi_transport_fc scsi_tgt cxgb3 mdio garp stp llc ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack binfmt_misc snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel snd_hda_codec arc4 snd_hwdep iwlwifi mac80211 snd_seq snd_seq_device snd_pcm cfg80211 i2c_i801 snd_timer snd iTCO_wdt r8169 hp_wmi mii iTCO_vendor_support hp_accel sparse_keymap rfkill lis3lv02d uvcvideo videodev media v4l2_compat_ioctl32 hid_logitech_dj microcode soundcore snd_page_alloc joydev sunrpc uinput input_polldev wmi radeon ttm i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 2681, comm: firefox Not tainted 3.2.7-1.fc16.x86_64 #1 Hewlett-Packard HP Pavilion dv7 Notebook PC/165A
:RIP: 0010:[<ffffffff812c9f49>]  [<ffffffff812c9f49>] __list_del_entry+0x29/0xd0
:RSP: 0018:ffff88021f8b9b78  EFLAGS: 00010207
:RAX: 0000000000000000 RBX: ffff88024f79c180 RCX: dead000000200200
:RDX: 0000000000000000 RSI: ffffffff81179fd0 RDI: ffff88024f79c200
:RBP: ffff88021f8b9b78 R08: 0000000000000001 R09: 0000000000000000
:R10: ffff880218bc8810 R11: 0000000000000001 R12: ffff88024f79c200
:R13: ffff88024f79c1dc R14: 0000000000000000 R15: ffff88024f536fb0
:FS:  00007fc2c62cd740(0000) GS:ffff88025fa00000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 0000000000000000 CR3: 000000024f801000 CR4: 00000000000406f0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process firefox (pid: 2681, threadinfo ffff88021f8b8000, task ffff8802521cdc80)
:Stack:
: ffff88021f8b9b98 ffffffff8118dc17 ffff88024f79c180 ffff88024f536fb0
: ffff88021f8b9bb8 ffffffff8118dc8a 0000000000000008 ffff88024f79c180
: ffff88021f8b9be8 ffffffff8118f75f ffff880218bc8800 0000000000000008
:Call Trace:
: [<ffffffff8118dc17>] __dentry_lru_del+0x27/0x60
: [<ffffffff8118dc8a>] dentry_lru_prune+0x3a/0x60
: [<ffffffff8118f75f>] dput+0xcf/0x1b0
: [<ffffffff8117aad6>] fput+0x176/0x220
: [<ffffffff81177216>] filp_close+0x66/0x90
: [<ffffffff81071888>] put_files_struct+0x88/0xf0
: [<ffffffff8107199a>] exit_files+0x4a/0x60
: [<ffffffff81071e88>] do_exit+0x1a8/0x8a0
: [<ffffffff8107fbed>] ? __dequeue_signal+0x10d/0x1f0
: [<ffffffff810728d2>] do_group_exit+0x42/0xa0
: [<ffffffff810826f6>] get_signal_to_deliver+0x206/0x5b0
: [<ffffffff81014165>] do_signal+0x65/0x770
: [<ffffffff81183c72>] ? path_put+0x22/0x30
: [<ffffffff810cdd62>] ? audit_syscall_entry+0x242/0x360
: [<ffffffff81014918>] do_notify_resume+0x88/0xb0
: [<ffffffff815ea050>] int_signal+0x12/0x17
:Code: 90 90 55 48 8b 17 48 b9 00 01 10 00 00 00 ad de 48 8b 47 08 48 89 e5 48 39 ca 74 29 48 b9 00 02 20 00 00 00 ad de 48 39 c8 74 7a <4c> 8b 00 4c 39 c7 75 53 4c 8b 42 08 4c 39 c7 75 2b 48 89 42 08 
:RIP  [<ffffffff812c9f49>] __list_del_entry+0x29/0xd0
: RSP <ffff88021f8b9b78>
:CR2: 0000000000000000

smolt_data:
:
:
:General
:=================================
:UUID: 70a6f24f-f670-4db6-bbcb-d65c2e434ce1
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3991.47
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2001
:System Memory: 7935
:System Swap: 8999
:Vendor: Hewlett-Packard
:System: HP Pavilion dv7 Notebook PC 058D110000244620001620100
:Form factor: Notebook
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:4156:5722) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:7241:4156:5722) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4332:21001:4156:5722) pci, None, MISC, N/A
:(4147:404:4156:5722) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:278:4156:5722) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4156:5722) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4156:5722) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4156:5722) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4098:26432:4156:5722) pci, radeon, VIDEO, Whistler XT [AMD Radeon HD 6700M Series]
:(32902:7200:4156:5722) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4156:5722) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4156:5722) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:7171:4156:5722) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4156:5722) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4156:5722) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4156:5722) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4156:5722) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:4156:5722) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb3 / ext4 4096 4096 119551017 112339983 111143678 29917184 29280378 29280378
:/dev/sdb1 /boot ext4 1024 1024 508745 408829 383229 128016 127737 127737
:
Comment 1 Dave Jones 2012-03-22 12:53:14 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 2 Dave Jones 2012-03-22 12:57:03 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:08:05 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 gene smith 2012-03-27 23:35:24 EDT
Have retried this on each kernel update including that latest 3.3.0-4 mentioned. On attempt to hibernate (save to disk) typically restarts OK but cpu fan runs hard indicating more power usage. Then on reboot it typically crashes and the same null pointer error is indicated. System runs fine otherwise including sleep (save to ram) which it recovers from with no error.
Comment 5 aaronsloman 2012-03-28 12:53:21 EDT
Could this be related to, or the same  bug as, bug #807615
"In both fedora 15 and 16 after pm-hibernate resume nearly completes, then reboots. Can be suppressed with acpi=off when resuming."

I have this symptom on a laptop in Fedora 16 using kernel 3.3.0-4.fc16.i686 and on a desktop machine using F15 and kernel 2.6.41.4-1.fc15.i686

I had not noticed any difference in fan noise (but my hearing is impaired).
Comment 6 Josh Boyer 2012-03-28 14:00:32 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.